Win a copy of Clojure in Action this week in the Clojure forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

PVCS task in ANT - unable t run from WSAD

 
sub venkat
Greenhorn
Posts: 15
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I try to run the ANT pvcs task from within WSAD (Right click on build.xml-->"Run Ant").
1. Now this build.xml file, I placed in the project workspace (of WSAD).
2. Before I placed the build.xml file, I imported the project into this work space in WSAD manually from the PVCS repository,

then copied the build.xml file into the project folder (which is within the WorkSpace in WSAD).
3. That is how I am able to access the ant script (build.xml) from within WSAD (ie., since I placed the build.xml file in the

same workspace as the project).
4. This is the ANT task I m trying to run:

<pvcs repository="S:\Wsadproj\WSWSAD~1" pvcsproject="/myproj"/>

What I am expecting this to do is get the latest project copy of "myproj" from the remote repository on network-mapped S

drive, into my WSAD workspace from where I am running the ANT script (build.xml).
5. Now the question is: the ant script throws this exception:
Build exception: Failed executing: pcli lvf -z -aw -prS:\Wsadproj\WSWSAD~1 /myproj
6. I do have access to the repository since I was able to run the command:
pcli lvf -z -aw -prS:\Wsadproj\WSWSAD~1 /myproj
after setting "PCLI_ID" from a command window.

Any help is greatly appreciated.

thank you.
 
C Tobias
Greenhorn
Posts: 3
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
What version of PVCS are you using Sub Cat?
 
sub venkat
Greenhorn
Posts: 15
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
At the time of posting this message, I was using ANt 1.4.1. But later I shunned that and downloaded a binary version 1.6.1. from apache, and am NOT running it in WSAD but from command line. It works with the PVCS task also.


thanks.
 
C Tobias
Greenhorn
Posts: 3
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I wondered about the version of PVCS for my own purposes too.
I've had exactly the problem you describe trying to run ant with PVCS 6.5. I wondered whether you were using this same version?
 
sub venkat
Greenhorn
Posts: 15
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I am sorry, I did not read your message properly earlier. The PVCS here is version 7.5
 
I agree. Here's the link: http://aspose.com/file-tools
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic